Bug 30176 - iptables tcp module
iptables tcp module
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: iptables (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-01 10:33 EST by Gerald Teschl
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-02 03:19:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2001-03-01 10:33:10 EST
iptables-1.2.0-9:

The tcp module is somehow broken and does no longer accept the
--(source|destination)-port option. Without this option they are useless;-(

[root@soliton /root]# iptables -A input -p tcp -d 0/0 --dport ssh -j ACCEPT
iptables v1.2: Unknown arg `--dport'
Try `iptables -h' or 'iptables --help' for more information.

But the man page claims:
  tcp
       These  extensions  are  loaded  if  `--protocol  tcp'   is
       specified. It provides the following options:
<snip>
       --destination-port [!] [port[:port]]
              Destination port or port range  specification.  The
              flag --dport is an alias for this option.
Comment 1 Bernhard Rosenkraenzer 2001-03-02 03:19:28 EST
Fixed in 1.2.0-10

Note You need to log in before you can comment on or make changes to this bug.